Bug 613600 - "make rpm" in upstream generates warnings with dwarves
"make rpm" in upstream generates warnings with dwarves
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Eric Blake
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 07:43 EDT by Justin Clift
Modified: 2015-07-13 00:34 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-09 13:56:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2010-07-12 07:43:54 EDT
Description of problem:

  Running the "make rpm" target in libvirt upstream git generates these warning messages:

    WARNING: your pdwtags program is too old
    WARNING: skipping the remote_protocol-structs test
    WARNING: install dwarves-1.3 or newer

  However, the very latest version of dwarves (~1.8) is installed.


Version-Release number of selected component (if applicable):

  $ rpm -qa | grep dwarves
  libdwarves1-1.8-1.fc13.x86_64
  dwarves-1.8-1.fc13.x86_64
  $


How reproducible:

  Every time.


Steps to Reproduce:
1. Install dwarves from F13 repository.
2. Run "make rpm" from local libvirt git repository.

   Warning messages appear here.

  
Actual results:

  Warning messages appear, and (I guess) the "remote_protocol-structs" test is skipped as per the message.


Expected results:

  The dwarves program to be recognised correctly, and the indicated test to be run.


Additional info:
Comment 1 Daniel Berrange 2010-08-17 08:36:51 EDT
Sounds like something for Eric / Jim to look at.
Comment 2 Eric Blake 2012-01-06 16:56:47 EST
In rawhide, dwarves 1.9 _can't_ parse gcc 4.7 output:

dwarves-1.9-1.fc16.i686
gcc-4.7.0-0.4.fc17.i686

pdwtags --verbose src/libvirt_net_rpc_la-virkeepaliveprotocol.o
die__process_function: DW_TAG_INVALID (0x4109) @ <0x58c> not handled!

whereas the same thing works on F16 for me:

dwarves-1.9-1.fc16.x86_64
gcc-4.6.2-1.fc16.x86_64

I'm cloning this bug against dwarves to get the tool fixed, and meanwhile, I will work on tweaking libvirt's error message to be a bit more accurate in the case where the tool is newer than 1.3 but still broken in comparison to gcc.
Comment 3 Eric Blake 2012-01-06 18:19:31 EST
Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2012-January/msg00243.html
Comment 4 Eric Blake 2012-01-06 18:24:41 EST
(In reply to comment #2)
> I'm cloning this bug against dwarves to get the tool fixed,

bug 772358
Comment 5 Eric Blake 2012-01-09 13:56:52 EST
The 0.9.9 release includes this, so I'm closing the bug:

commit cf6d36257b9164ec7a4bcd31a3c56b6163169e02
Author: Eric Blake <eblake@redhat.com>
Date:   Fri Jan 6 16:07:34 2012 -0700

    tests: work around pdwtags 1.9 failure
    
    On rawhide, gcc is new enough to output new DWARF information that
    pdwtags has not yet learned, but the resulting 'make check' output
    was rather confusing:
    
    $ make -C src check
    ...
      GEN    virkeepaliveprotocol-structs
    die__process_function: DW_TAG_INVALID (0x4109) @ <0x58c> not handled!
    WARNING: your pdwtags program is too old
    WARNING: skipping the virkeepaliveprotocol-structs test
    WARNING: install dwarves-1.3 or newer
    ...
    $ pdwtags --version
    v1.9

Note You need to log in before you can comment on or make changes to this bug.